local fn = _gn(0x477D5D63E63ECA5D)
--- This is to make the player walk without accepting input.
-- Call this native every frame so you can control the direction of your ped.
-- @param player The player to target (always your local player id).
-- @param amount For game pads, using anything less than 1.0 will make it partially press analog controls (like sticks/triggers).
-- @param gaitType Value in increments of 100's. 2000, 500, 300, 200, etc. Set to -1 if you want your ped to walk forever.
-- @param rotationSpeed Determines the counterclockwise rotation angle when walking.
-- @param p4 Always true
-- @param p5 Always false
function Global.SimulatePlayerInputGait(player, amount, gaitType, rotationSpeed, p4, p5)
	return _in2(fn, player, amount, gaitType, rotationSpeed, p4, p5)
end
